import React, { HTMLProps } from "react";
import { useHorizontalSpacing } from "@/styles";

export type ActionsProps = {
    spacing?: number;
} & HTMLProps<HTMLDivElement>;

export const Actions = ({ spacing = 2, ...props }: ActionsProps) => {
    const classes = useHorizontalSpacing(spacing);

    return <div className={ classes.root } { ...props } style={{ display: "flex", alignItems: "center", ...props.style }}/>
}
