import { Page } from "@/pages/base";
import { Container, Link, Typography } from "@material-ui/core";
import { Link as RouterLink } from "react-router-dom";
import { route } from "@/routing";
import React from "react";
import { useTranslation } from "react-i18next";
import ReportForm from "@/forms/report";

export const SubmitReportPage = () => {
    const { t } = useTranslation();

    return <Page title={ t("steps.report.submit") }>
        <Page.Header maxWidth="md">
            <Page.Breadcrumbs>
                <Link component={ RouterLink } to={ route("home") }>{ t('pages.my-internship.header') }</Link>
                <Typography color="textPrimary">{ t("steps.report.submit") }</Typography>
            </Page.Breadcrumbs>
            <Page.Title>{ t("steps.report.submit") }</Page.Title>
        </Page.Header>
        <Container maxWidth={ "md" }>
            <ReportForm/>
        </Container>
    </Page>
}

export default SubmitReportPage;
